LOGGER(1)

NAME
logger - add entries to the system log

SYNOPSIS
logger [ -t tag ] [ -p priority ] [ -i ] [ -f filename ] [ message ] ...

DESCRIPTION
logger provides a method for adding one-line entries to the system log file from the command line. One or more message arguments can be given on the command line, in which case each is logged immediately. Otherwise, a filename can be specified, in which case each line in the file is logged. If neither is specified, logger reads and logs messages on a line-by-line basis from the standard input.

OPTIONS

-t tag
    Mark each line added to the log with the specified tag.

-p priority
    Enter the message with the specified priority. The message priority can be specified numerically, or as a facility.level pair. For example, `-p local3.info' assigns the message priority to the info level in the local3 facility. The default priority is user.notice.

-i  Log the process ID of the logger process with each line.

-f filename
    Use the contents of filename as the message to log.

message
    If this is unspecified, either the file indicated with -f or the standard input is added to the log.

EXAMPLES
    logger System rebooted

will log the message `System rebooted' to the facility at priority notice to be treated by syslogd as other messages to the facility notice are.

    logger -p local0.notice -t HOSTIDM -f /dev/idmc

will read from the file /dev/idmc and will log each line in that file as a message with the tag `HOSTIDM' at priority notice to be treated by syslogd as other messages to the facility local0 are.

SEE ALSO
syslog(3), syslogd(8)